# Uses of Enum
com.fasterxml.jackson.annotation.JsonAutoDetect.Visibility

## Uses of JsonAutoDetect.Visibility in com.fasterxml.jackson.annotation

Fields in com.fasterxml.jackson.annotation declared as JsonAutoDetect.Visibility
Modifier and Type
Field
Description
`protected final JsonAutoDetect.Visibility`
JsonAutoDetect.Value.`_creatorVisibility`
`protected final JsonAutoDetect.Visibility`
JsonAutoDetect.Value.`_fieldVisibility`
`protected final JsonAutoDetect.Visibility`
JsonAutoDetect.Value.`_getterVisibility`
`protected final JsonAutoDetect.Visibility`
JsonAutoDetect.Value.`_isGetterVisibility`
`protected final JsonAutoDetect.Visibility`
JsonAutoDetect.Value.`_setterVisibility`
Methods in com.fasterxml.jackson.annotation that return JsonAutoDetect.Visibility
Modifier and Type
Method
Description
`JsonAutoDetect.Visibility`
JsonAutoDetect.Value.`getCreatorVisibility()`
`JsonAutoDetect.Visibility`
JsonAutoDetect.Value.`getFieldVisibility()`
`JsonAutoDetect.Visibility`
JsonAutoDetect.Value.`getGetterVisibility()`
`JsonAutoDetect.Visibility`
JsonAutoDetect.Value.`getIsGetterVisibility()`
`JsonAutoDetect.Visibility`
JsonAutoDetect.Value.`getSetterVisibility()`
`static JsonAutoDetect.Visibility`
JsonAutoDetect.Visibility.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JsonAutoDetect.Visibility[]`
JsonAutoDetect.Visibility.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.fasterxml.jackson.annotation with parameters of type JsonAutoDetect.Visibility
Modifier and Type
Method
Description
`static JsonAutoDetect.Value`
JsonAutoDetect.Value.`construct(JsonAutoDetect.Visibility fields, JsonAutoDetect.Visibility getters, JsonAutoDetect.Visibility isGetters, JsonAutoDetect.Visibility setters, JsonAutoDetect.Visibility creators)`
`static JsonAutoDetect.Value`
JsonAutoDetect.Value.`construct(PropertyAccessor acc, JsonAutoDetect.Visibility visibility)`
Factory method for constructing instance with visibility of specified accessor (or, in case of `ALL`, all of them) set as specified; and the rest (if any) set as `DEFAULT`).
`JsonAutoDetect.Value`
JsonAutoDetect.Value.`withCreatorVisibility(JsonAutoDetect.Visibility v)`
`JsonAutoDetect.Value`
JsonAutoDetect.Value.`withFieldVisibility(JsonAutoDetect.Visibility v)`
`JsonAutoDetect.Value`
JsonAutoDetect.Value.`withGetterVisibility(JsonAutoDetect.Visibility v)`
`JsonAutoDetect.Value`
JsonAutoDetect.Value.`withIsGetterVisibility(JsonAutoDetect.Visibility v)`
`JsonAutoDetect.Value`
JsonAutoDetect.Value.`withSetterVisibility(JsonAutoDetect.Visibility v)`